最新消息:BlueHost - 10年+老牌美国虚拟主机商,适合外贸、个人建站业务。

BlueHost安装Zend Optimizer

教程 yifang 81浏览

HostMonster主机,IXWebHosting空间,和BLUEHOST 等使用CPANEL的空间都有安装Zend Optimizer软件,这在国外主机里面是默认选择,支持正版的原因,所以国产软件的问题,比如 Discuz Xspace supsite shopex 安装按照平常去做就可以了,在一个子目录下,创建数据库/用户,顺利安装完成。

可是到了Xspace|supsite安装一半的时候会遇到Zend Optimizer版本的问题遇上问题,怎么也走不下去,提示:

Attention: Zend Optimizer not Installed

In order to run this software, please install the latest version of freely available Zend Optimizer。

安装探针检查,反复检查,没错,系统有这个!而且版本满新的!

This program makes use of the Zend Scripting Language Engine:
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies with Zend Extension Manager v1.0.10, Copyright (c) 2003-2006, by Zend Technologies with Zend Optimizer v3.0.2, Copyright (c) 1998-2006, by Zend Technologies

去Discuz!网站找帖子,没有,网上搜索,没有相关答案,开ticket给hostmonster人家说支持阿!是你脚本的问题吧。

无奈,检查Hostmonster虚拟目录中的php.ini,仔细看完,这里面也有配置,奇怪了!是以下配置

zend_optimizer.optimization_level=15
zend_extension_manager.optimizer=/usr/local/Zend/lib/Optimizer-2_6_2
zend_extension_manager.optimizer_ts=/usr/local/Zend/lib/Optimizer_TS-2_6_2
zend_optimizer.version=2.6.2
zend_extension=/usr/local/Zend/lib/ZendExtensionManager.so
zend_extension_ts=/usr/local/Zend/lib/ZendExtensionManager_TS.so

看到这里都要疯了,难道真的不能装,xspace有问题?反复看,不知道如何办?

检查系统的php.ini–>/usr/local/Zend/etc/php.ini

终于发现问题所在,不知道各位看出来没有?原来版本不一样!!!phpinfo报告3.02,但是虚拟目录中的php.ini却是2.62。

这下简单了,从系统的php.ini目录复制下面内容,覆盖自己虚拟目录中的内容。

zend_extension_manager.optimizer=/usr/local/Zend/lib/Optimizer-3.0.2 zend_extension_manager.optimizer_ts=/usr/local/Zend/lib/Optimizer_TS-3.0.2 zend_optimizer.version=3.0.2 zend_extension=/usr/local/Zend/lib/ZendExtensionManager.so zend_extension_ts=/usr/local/Zend/lib/ZendExtensionManager_TS.so

再次安装!! 哈哈,顺利通过!原来如此

如果使用WHM的就在后台直接升级一下自动更新,默认的CPANEL是在稳定版下的设置.下个PUTTY的SSH操作吧.

转载请注明:BlueHost虚拟主机评测 » BlueHost安装Zend Optimizer